# PCShellSetSetUp

Sets routine to use to "setup" the preconditioner whenever the matrix operator is changed.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCShellSetSetUp(PC pc,PetscErrorCode (*setup)(void*))

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| setup | - the application-provided setup routine

### Calling sequence of setup

       PetscErrorCode setup (void *ptr)

| ptr | - the application context

### Keywords

PC, shell, set, setup, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetApply(), PCShellSetContext()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex33f.F.html